#
# spec file for package cowsay
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cowsay
Version:        3.03
Release:        7.5
Summary:        Configurable talking cow (and some other creatures)
License:        GPL-1.0+ or Artistic-1.0
Group:          Amusements/Toys/Other
Url:            http://nog.net/~tony/warez/
Source:         http://nog.net/~tony/warez/%{name}-%{version}.tar.gz
Source1:        http://nog.net/~tony/warez/%{name}-%{version}.tar.gz.sig
Source2:        http://nog.net/~tony/tony-monroe-gpgkey.txt#/cowsay.keyring
BuildRequires:  bash
BuildArch:      noarch
%if 0%{?suse_version} < 1140
Requires:       perl = %{perl_version}
%else
%{perl_requires}
%endif

%description
cowsay is a configurable talking cow, written in Perl.  It operates
much as the figlet program does, and it written in the same spirit
of silliness.

%prep
%setup -q
sed -i "s|,\$%{nil}PREFIX,|,%{_prefix},|" install.sh

%build
perl -c cowsay

%install
bash ./install.sh %{buildroot}%{_prefix}
mv -T %{buildroot}%{_prefix}/man/ %{buildroot}%{_mandir}
rm -f %{buildroot}%{_datadir}/cows/mech-and-cow

%files
%defattr(-,root,root)
%doc ChangeLog LICENSE MANIFEST README
%{_bindir}/%{name}
%{_bindir}/cowthink
%{_datadir}/cows
%{_mandir}/man1/*

%changelog
* Sat Apr 26 2014 andreas.stieger@gmx.de
- use verbatim upstream source tarball
- use version number used upstream
- add source URLs, see https://en.opensuse.org/SourceUrls
- add source tarball signature verification
- specify perl requirements as per packaging recommendations
* Sun Apr  6 2014 sor.alexei@meowr.ru
- Initial package.
